import { create } from './lib/create';
import { list } from './lib/list';
import { update } from './lib/update';
import { generate } from './lib/generate';
import { init } from './lib/init';
import { logs } from './lib/logs';
import { search } from './lib/search';
import { output } from './lib/output';
import { htmlRender } from './lib/helpers/htmlRender';
import { GenerateBuilder } from './lib/base/GenerateBuilder';
import CSVBuilder from './lib/output/CSVBuilder';
import JSONBuilder from './lib/output/JSONBuilder';
import HtmlBuilder from './lib/output/HtmlBuilder';
declare const _default: {
    create: typeof create;
    list: typeof list;
    Utils: {
        getNewIndexString: () => string;
        getLatestIndex: () => number;
        createIndexByNumber: (num: any) => string;
        generateFileName: (originFileName: any) => any;
        getWorkDir: () => string;
        getI18n: typeof import("./lib/helpers/i18n").getI18n;
        createDateString: () => string;
        getNumberLength: (fileName: string) => number;
        getIndexByString: (fileName: string) => number;
    };
    update: typeof update;
    generate: typeof generate;
    init: typeof init;
    search: typeof search;
    logs: typeof logs;
    output: typeof output;
    CSVBuilder: typeof CSVBuilder;
    JSONBuilder: typeof JSONBuilder;
    htmlRender: typeof htmlRender;
    HtmlBuilder: typeof HtmlBuilder;
    MdHelper: {
        mdRender: typeof import("./lib/helpers/MdHelper").mdRender;
    };
    Config: {
        getAllConfig: (defaultValue: string) => any;
        getSavePath: () => string;
        getLanguage: () => any;
        getPrefix: () => any;
        getDigits: () => any;
        getConfig: (key: string) => any;
    };
    GenerateClass: typeof GenerateBuilder;
    StatusHelper: {
        setStatus: (filePath: any, status: any) => any;
        getLatestStatus: (filePath: any) => string;
        getAllStatus: (filePath: any) => string[];
    };
};
export default _default;
